<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-sessions.qdoc -->
  <title>Managing Sessions | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Managing Sessions</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-sharing-project-settings.html" />
  <link rel="next" href="creator-design-mode.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-sharing-project-settings.html">Sharing Project Settings</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-design-mode.html">Designing User Interfaces</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Managing Sessions</h1>
<span class="subtitle"></span>
<!-- $$$creator-project-managing-sessions.html-description -->
<div class="descr"> <a name="details"></a>
<p>When you exit Qt Creator, a snapshot of your current workspace is stored as a <i>session</i>. To restore the session automatically when you start Qt Creator, select <b>File &gt; Sessions &gt; Manage &gt; Restore last session on startup</b>.</p>
<p>When you open or create any of the following items, they automatically become a part of the session:</p>
<ul>
<li>Projects with their dependencies (including SUBDIRS projects)</li>
<li>Editors</li>
<li>Breakpoints and expressions</li>
<li>Bookmarks</li>
</ul>
<p>A session is personal, that is, not meant to be shared. It is not supposed to reflect the project structure. It contains personal data, such as bookmarks and breakpoints that are usually not of interest to other developers working on the same projects.</p>
<p>For example, if you work on a project and need to switch to another project for a while, you can clone the current session to save it under a name and create a new session for the other project. Everything that you open after switching to the new session becomes a part of it. When you want to return to working on the first project, switch to the saved session. Qt Creator opens the projects and files that belong to the session.</p>
<p>To manage sessions, select <b>File</b> &gt; <b>Sessions</b> &gt; <b>Manage</b>.</p>
<p class="centerAlign"><img src="images/qtcreator-session-manager.png" alt="" /></p><p>To save a session under a new name, select <b>Clone</b>.</p>
<p>To create a new session:</p>
<ol class="1" type="1"><li>Select <b>New</b>.</li>
<li>In the <b>Enter the name of the session</b> field, enter a name for the session.</li>
<li>Select <b>Create</b> to create a new empty session or <b>Create and Open</b> to create a session and to switch to it.</li>
</ol>
<p>To switch between sessions, select <b>Switch to</b>.</p>
<p>When you launch Qt Creator, a list of existing sessions is displayed in the <b>Welcome</b> mode. To open a session, select it or press <b>Ctrl+Alt+&lt;number&gt;</b>, where <i>&lt;number&gt;</i> is the number of the session to open (available for the first nine sessions).</p>
<p class="centerAlign"><img src="images/qtcreator-welcome-session.png" alt="" /></p><p>You can also use the <code>t</code> locator filter to open a session. For more information, see <a href="creator-editor-locator.html">Searching with the Locator</a>.</p>
<p>To view more information about a session, select the down arrow icon that appears when you move the mouse cursor over the session name. Select actions to clone, rename, and delete sessions.</p>
<p>When you start Qt Creator from the command line, you can give the name of a session as argument and Qt Creator will start with this session.</p>
<p>For more information, see <a href="creator-cli.html">Using Command Line Options</a>.</p>
</div>
<!-- @@@creator-project-managing-sessions.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-sharing-project-settings.html">Sharing Project Settings</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-design-mode.html">Designing User Interfaces</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
